使用 nohup 或 disown 如果你要让某个进程运行在后台。

logstash无法安装input-jdbc 的插件.

Logstash | 作者 weiranth | 发布于2017年08月17日 | 阅读数:2849

# gem build /logstash/logstash-input-jdbc-1.0.0/logstash-input-jdbc.gemspec 
 
ERROR:  While executing gem ... (NoMethodError)
    undefined method `metadata=' for #<Gem::Specification:0x7f6e71a78f50>
已邀请:

gzliudan

赞同来自:

我是这样安装的:
cd /usr/share/logstash
sed -i "s#https://rubygems.org%23https:/ ... ot%3B Gemfile
sed -i "s#https://rubygems.org%23https:/ ... ot%3B Gemfile.jruby-1.9.lock
bin/logstash-plugin install logstash-input-jdbc

weiranth

赞同来自:

大哥,有完整的文档吗? 有就发一份我邮箱吧,weiranth@sina.com, 感谢!

laoyang360 - 《一本书讲透Elasticsearch》作者,Elastic认证工程师 [死磕Elasitcsearch]知识星球地址:http://t.cn/RmwM3N9;微信公众号:铭毅天下; 博客:https://elastic.blog.csdn.net

赞同来自:

这个插件自带的 不需要安装吧

wyntergreg

赞同来自:

5.x都是自带全插件的,直接用就行

要回复问题请先登录注册